Subject: Re: linux-next: trees being removed

From: Krzysztof Kozlowski <[email-masked]>
Date: Fri, 19 Dec 2025 13:01:31 +0100

On 19/12/2025 12:53, Krzysztof Kozlowski wrote:
> On 15/12/2025 08:41, Stephen Rothwell wrote:
>> Hi all,
>>
>> The following trees are going to be removed from linux-next because they
>> have not been updated in more than a year.  If you want a tree kept,
>> please just reply and let me know (and update its branch).  If you want
>> a tree restored after it has been removed, just let me know (and update
>> its branch).
>>
>> Tree			Last commit date
>>   URL
>>   comits (if any)
>> ----			----------------
>> accel			2024-05-03 11:00:53 +1000
>>   https://git.kernel.org/pub/scm/linux/kernel/git/ogabbay/linux.git#habanalabs-next
> 
> +Cc few DRM addresses,
> 
> Shall we make DRM accel subsystem orphaned in this case? This tree is
> still mentioned in "DRM COMPUTE ACCELERATORS DRIVERS AND FRAMEWORK"
> maintainers entry, but if no work is happening, no updates to Git repo,
> then does that mean project is effectively dead now?
> 
> To be fair, the patches are still posted [1] but if nothing is picked up
> to the repo then maybe new maintainers are needed? Or repo did move to
> other place silently?
> 
> [1] https://lore.kernel.org/all/?q=dfn%3Adrivers%2Faccel%2F
> 

I dig a bit more and individual drivers are still picked up via
drm-misc, but I guess Oded has much less time now [1] and even recent
changes to drivers/accel/drm_accel.c went via other person. With tree
being dropped from the next, it should probably be removed from the
MAINTAINERS. I'll just send a patch, easier to comment there.

[1] https://lore.kernel.org/all/?q=f%3A%22Oded+Gabbay%22

Best regards,
Krzysztof